import { select } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg
  .append('g')
  .attr(
    'transform',
    `translate(${width / 2}, ${height / 2})`,
  );

// Cat head
g.append('circle').attr('r', 120).attr('fill', '#999');

// Ears
// Outer ears with a lighter edge for more definition
g.append('path')
  .attr('d', 'M -70 -80 Q -130 -110 -70 -160')
  .attr('fill', '#999')
  .attr('stroke', '#666') // Lighter stroke for edge definition
  .attr('stroke-width', 3); // Wider stroke width for visibility

g.append('path')
  .attr('d', 'M 70 -80 Q 130 -110 70 -160')
  .attr('fill', '#999')
  .attr('stroke', '#666') // Lighter stroke for edge definition
  .attr('stroke-width', 3); // Wider stroke width for visibility

// Inner ears with a more defined shape
g.append('path')
  .attr('d', 'M -60 -100 Q -110 -110 -60 -140')
  .attr('fill', 'pink')
  .attr('stroke', '#999') // Adding a stroke to the inner ear for definition
  .attr('stroke-width', 1.5); // Slightly thinner stroke for the inner ear

g.append('path')
  .attr('d', 'M 60 -100 Q 110 -110 60 -140')
  .attr('fill', 'pink')
  .attr('stroke', '#999') // Adding a stroke to the inner ear for definition
  .attr('stroke-width', 1.5); // Slightly thinner stroke for the inner ear

// Eyes
g.append('circle')
  .attr('cx', -50)
  .attr('cy', -30)
  .attr('r', 20)
  .attr('fill', 'white');
g.append('circle')
  .attr('cx', 50)
  .attr('cy', -30)
  .attr('r', 20)
  .attr('fill', 'white');

// Pupils
g.append('circle')
  .attr('cx', -50)
  .attr('cy', -30)
  .attr('r', 10)
  .attr('fill', 'black');
g.append('circle')
  .attr('cx', 50)
  .attr('cy', -30)
  .attr('r', 10)
  .attr('fill', 'black');

// Nose
g.append('path')
  .attr('d', 'M -10 20 L 0 35 L 10 20 Z') // Create a triangle shape
  .attr('fill', 'pink')
  .attr('stroke', 'black')
  .attr('stroke-width', 1);

// Mouth
// Main smiling mouth path
g.append('path')
  .attr('d', 'M -20 45 Q 0 60 20 45')
  .attr('stroke', 'black')
  .attr('stroke-width', 2)
  .attr('fill', 'none');

// Smiling curves at the ends of the mouth
g.append('path')
  .attr('d', 'M -20 45 Q -25 40 -30 45')
  .attr('stroke', 'black')
  .attr('stroke-width', 2)
  .attr('fill', 'none');

g.append('path')
  .attr('d', 'M 20 45 Q 25 40 30 45')
  .attr('stroke', 'black')
  .attr('stroke-width', 2)
  .attr('fill', 'none');

// Whiskers
g.append('path')
  .attr('d', 'M -40 30 Q -60 40 -80 50')
  .attr('stroke', 'black')
  .attr('fill', 'none');

g.append('path')
  .attr('d', 'M 40 30 Q 60 40 80 50')
  .attr('stroke', 'black')
  .attr('fill', 'none');

g.append('path')
  .attr('d', 'M -40 20 Q -60 20 -80 20')
  .attr('stroke', 'black')
  .attr('fill', 'none');

g.append('path')
  .attr('d', 'M 40 20 Q 60 20 80 20')
  .attr('stroke', 'black')
  .attr('fill', 'none');

g.append('path')
  .attr('d', 'M -40 10 Q -60 0 -80 -10')
  .attr('stroke', 'black')
  .attr('fill', 'none');

g.append('path')
  .attr('d', 'M 40 10 Q 60 0 80 -10')
  .attr('stroke', 'black')
  .attr('fill', 'none');
